Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xerces.jaxp
Class DocumentBuilderFactoryImpl

    java.lang.Object
      |
      +--javax.xml.parsers.DocumentBuilderFactory
            |
            +--weblogic.apache.xerces.jaxp.DocumentBuilderFactoryImpl

public class DocumentBuilderFactoryImpl
extends javax.xml.parsers.DocumentBuilderFactory

The `DocumentBuilderFactory` implementation for the Apache Xerces XML parser.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
  $Revision: 1.2 $ $Date: 2000/06/09 17:03:45 $
Author:
  Pierpaolo Fumagalli (Apache Software Foundation, Exoffice Technologies)
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`DocumentBuilderFactoryImpl()` Create a new `DocumentBuilderFactoryImpl` instance.

Method Summary
`javax.xml.parsers.DocumentBuilder` | `newDocumentBuilder()` Returns a new configured instance of type `DocumentBuilder`.

Methods inherited from class javax.xml.parsers.DocumentBuilderFactory
`isNamespaceAware, isValidating, newInstance, setNamespaceAware, setValidating`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentBuilderFactoryImpl

    public DocumentBuilderFactoryImpl()

  Create a new `DocumentBuilderFactoryImpl` instance.

Method Detail

### newDocumentBuilder

    public javax.xml.parsers.DocumentBuilder newDocumentBuilder()
                                                         throws javax.xml.parsers.ParserConfigurationException

  Returns a new configured instance of type `DocumentBuilder`.

  Overrides:
    newDocumentBuilder in class javax.xml.parsers.DocumentBuilderFactory

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD